=== modified file 'docs/alter_table.rst'
--- docs/alter_table.rst	2011-01-14 05:22:13 +0000
+++ docs/alter_table.rst	2011-02-13 20:11:55 +0000
@@ -11,4 +11,6 @@
 3) Enabling and Disabling constraints 
 4) Rename a table
 
-FIXME: add something about current implementation: i.e. write blocking copying alter table.
+.. todo::
+
+   add something about current implementation: i.e. write blocking copying alter table.

=== modified file 'docs/date_time_data_types.rst'
--- docs/date_time_data_types.rst	2011-01-21 00:21:51 +0000
+++ docs/date_time_data_types.rst	2011-02-13 20:11:55 +0000
@@ -5,19 +5,19 @@
 
 **Date/Time Types**
 
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|Data Type   |Lowest Value (or NULL)     |Maximum Value              |Description	      |Storage Size   |Resolution     |
-+============+===========================+===========================+========================+===============+===============+
-|TIMESTAMP   |'0001-01-01 00:00:00'      |'9999-12-31 23:59:59'      |both date and time      |4 bytes        |1 second       |
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|TIMESTAMP(6)|'0001-01-01 00:00:000000'  |'9999-12-31 23:59:999999'  |both date and time      |8 bytes        |1 microsecond  |
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|DATE        |'0001-01-01'               |'9999-12-31'               |dates only              |4 bytes        |1 day          +
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|TIME        |'00:00:000000'             |'23:59:999999'             |time of day             |8 bytes        |1 microsecond  +
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
-|DATETIME    |'0001-01-01 00:00:000000'  |'9999-12-31 23:59:999999'  |both date and time      |8 bytes        |1 microsecond  |
-+------------+---------------------------+---------------------------+------------------------+---------------+---------------+
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|Data Type   |Lowest Value (or NULL)        |Maximum Value                 |Description	            |Storage Size   |Resolution     |
++============+==============================+==============================+========================+===============+===============+
+|TIMESTAMP   |'0001-01-01 00:00:00'         |'9999-12-31 23:59:59'         |both date and time      |4 bytes        |1 second       |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|TIMESTAMP(6)|'0001-01-01 00:00:00.000000'  |'9999-12-31 23:59:99.999999'  |both date and time      |8 bytes        |1 microsecond  |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|DATE        |'0001-01-01'                  |'9999-12-31'                  |dates only              |4 bytes        |1 day          |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|TIME        |'00:00:00.000000'             |'23:59:99.999999'             |time of day             |8 bytes        |1 microsecond  |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
+|DATETIME    |'0001-01-01 00:00:00.000000'  |'9999-12-31 23:59:99.999999'  |both date and time      |8 bytes        |1 microsecond  |
++------------+------------------------------+------------------------------+------------------------+---------------+---------------+
 
 TIMESTAMP and TIMESTAMP(6)
 --------------------------

=== modified file 'docs/join.rst'
--- docs/join.rst	2011-01-14 05:16:35 +0000
+++ docs/join.rst	2011-02-13 20:11:55 +0000
@@ -49,7 +49,12 @@
     * JOIN: Return rows when there is at least one match in both tables
     * LEFT JOIN: Return all rows from the left table, even if there are no matches in the right table
     * RIGHT JOIN: Return all rows from the right table, even if there are no matches in the left table
-    * FULL JOIN: Return rows when there is a match in one of the tables
-
+    * CROSS JOIN: Return rows when there is a match in one of the tables
+
+.. note::
+
+   Implicit cartesian products of the form ``SELECT * FROM t1, t2`` without a 
+   ``WHERE`` or ``ON`` condition will error.  If such behaviour is intended
+   please use ``SELECT * FROM t1 CROSS JOIN t2``.
 
 FIXME: how joins are executed. i.e. nested loop join.

=== modified file 'docs/start_transaction.rst'
--- docs/start_transaction.rst	2011-01-14 05:12:09 +0000
+++ docs/start_transaction.rst	2011-02-13 20:11:55 +0000
@@ -6,4 +6,9 @@
 	START TRANSACTION [WITH CONSISTENT SNAPSHOT]
 	BEGIN
 
-When https://bugs.launchpad.net/drizzle/+bug/674719 is fixed, Drizzle will have the PostgreSQL like behaviour of giving an error if a transaction is already in progress.
+.. warning::
+
+   If you are currently already in a transaction Drizzle will give a warning
+   stating that you are in a transaction in a similar way to PostgreSQL.
+   This is instead of implicitly committing the transaction in the way MySQL
+   does.

=== modified file 'docs/string_data_types.rst'
--- docs/string_data_types.rst	2011-01-15 03:08:27 +0000
+++ docs/string_data_types.rst	2011-02-13 20:11:55 +0000
@@ -8,6 +8,11 @@
 
 A VARCHAR or VARBINARY type is used to store variable length data. Indexes on these types are by default the full length of the data stored. The only difference between the two types is the COLLATION which is used. VARBINARY uses a binary collation for all index usage.
 
+.. note::
+
+   ``CHAR`` and ``BINARY`` types are implicitly changed to ``VARCHAR`` and
+   ``VARBINARY`` respectively.
+
 TEXT and BLOB
 -------------
 

